Index: /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/context_nemo.xml
===================================================================
--- /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 12013)
+++ /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis/cfgs/AMM12/EXPREF/context_nemo.xml	(revision 12014)
@@ -22,17 +22,51 @@
     <field_definition level="1" prec="4" operation="average" enabled=".TRUE." default_value="1.e20" >
       <field_group id="diamlr_fields">
-	<!-- Time -->
-	<field id="diamlr_time" grid_ref="diamlr_grid_T_2D" prec="8" />
-	<!-- Regressors for tidal harmonic analysis -->
-	<field id="diamlr_r001" field_ref="diamlr_time" expr="sin( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:M2"   />
-	<field id="diamlr_r002" field_ref="diamlr_time" expr="cos( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:M2"   />
-	<field id="diamlr_r003" field_ref="diamlr_time" expr="sin( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:K1"   />
-	<field id="diamlr_r004" field_ref="diamlr_time" expr="cos( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:K1"   />
-	<field id="diamlr_r101" field_ref="diamlr_time" expr="diamlr_time^0.0"                       enabled=".TRUE."  comment="mean"              />
-	<!-- Fields selected for regression analysis -->
-	<field id="diamlr_f001" field_ref="ssh"  enabled=".TRUE." />
-	<field id="diamlr_f002" field_ref="uoce" enabled=".TRUE." />
-	<field id="diamlr_f003" field_ref="voce" enabled=".TRUE." />
-	<field id="diamlr_f004" field_ref="toce" enabled=".TRUE." />
+        <!-- Time -->
+        <field id="diamlr_time" grid_ref="diamlr_grid_T_2D" prec="8" />
+        <!-- Regressors for tidal harmonic analysis -->
+        <field id="diamlr_r001" field_ref="diamlr_time" expr="sin( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:M2" />
+        <field id="diamlr_r002" field_ref="diamlr_time" expr="cos( __TDE_M2_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:M2" />
+        <field id="diamlr_r003" field_ref="diamlr_time" expr="sin( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:sin:K1" />
+        <field id="diamlr_r004" field_ref="diamlr_time" expr="cos( __TDE_K1_omega__ * diamlr_time )" enabled=".TRUE."  comment="harmonic:cos:K1" />
+        <field id="diamlr_r005" enabled=".FALSE." />
+        <field id="diamlr_r006" enabled=".FALSE." />
+        <field id="diamlr_r007" enabled=".FALSE." />
+        <field id="diamlr_r008" enabled=".FALSE." />
+        <field id="diamlr_r009" enabled=".FALSE." />
+        <field id="diamlr_r010" enabled=".FALSE." />
+        <field id="diamlr_r011" enabled=".FALSE." />
+        <field id="diamlr_r012" enabled=".FALSE." />
+        <field id="diamlr_r013" enabled=".FALSE." />
+        <field id="diamlr_r014" enabled=".FALSE." />
+        <field id="diamlr_r015" enabled=".FALSE." />
+        <field id="diamlr_r016" enabled=".FALSE." />
+        <field id="diamlr_r017" enabled=".FALSE." />
+        <field id="diamlr_r018" enabled=".FALSE." />
+        <field id="diamlr_r019" enabled=".FALSE." />
+        <field id="diamlr_r020" enabled=".FALSE." />
+        <field id="diamlr_r021" enabled=".FALSE." />
+        <field id="diamlr_r022" enabled=".FALSE." />
+        <field id="diamlr_r023" enabled=".FALSE." />
+        <field id="diamlr_r024" enabled=".FALSE." />
+        <field id="diamlr_r025" enabled=".FALSE." />
+        <field id="diamlr_r026" enabled=".FALSE." />
+        <field id="diamlr_r027" enabled=".FALSE." />
+        <field id="diamlr_r028" enabled=".FALSE." />
+        <field id="diamlr_r029" enabled=".FALSE." />
+        <field id="diamlr_r030" enabled=".FALSE." />
+        <field id="diamlr_r031" enabled=".FALSE." />
+        <field id="diamlr_r032" enabled=".FALSE." />
+        <field id="diamlr_r033" enabled=".FALSE." />
+        <field id="diamlr_r034" enabled=".FALSE." />
+        <field id="diamlr_r035" enabled=".FALSE." />
+        <field id="diamlr_r036" enabled=".FALSE." />
+        <field id="diamlr_r037" enabled=".FALSE." />
+        <field id="diamlr_r038" enabled=".FALSE." />
+        <field id="diamlr_r101" field_ref="diamlr_time" expr="diamlr_time^0.0"                       enabled=".TRUE."  comment="mean"            />
+        <!-- Fields selected for regression analysis -->
+        <field id="diamlr_f001" field_ref="ssh"  enabled=".TRUE." />
+        <field id="diamlr_f002" field_ref="uoce" enabled=".TRUE." />
+        <field id="diamlr_f003" field_ref="voce" enabled=".TRUE." />
+        <field id="diamlr_f004" field_ref="toce" enabled=".TRUE." />
       </field_group>
     </field_definition>