Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 12023)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 12024)
@@ -75,5 +75,5 @@
 &namsbc        !   Surface Boundary Condition manager                   (default: NO selection)
 !-----------------------------------------------------------------------
-   nn_fsbc     = 1         !  frequency of SBC module call
+   nn_fsbc     = 4         !  frequency of SBC module call
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
@@ -85,5 +85,4 @@
    ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S       (T => fill namsbc_ssr)
-   ln_dm2dc    = .true.    !  daily mean to diurnal cycle on short wave
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
    nn_fwb      = 2         !  FreshWater Budget: 
@@ -104,9 +103,6 @@
 !-----------------------------------------------------------------------
    !                    !  bulk algorithm :
-   ln_NCAR      = .true.    ! "NCAR"      algorithm   (Large and Yeager 2008)
-   ln_COARE_3p0 = .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
-   ln_COARE_3p6 = .false.   ! "COARE 3.6" algorithm   (Edson et al. 2013)
-   ln_ECMWF     = .false.   ! "ECMWF"     algorithm   (IFS cycle 31)
-   !
+   ln_NCAR    = .true.     ! "NCAR"      algorithm   (Large and Yeager 2008)
+
    cn_dir = './'  !  root directory for the bulk data location
    !___________!_________________________!___________________!___________!_____________!________!___________!______________________________________!__________!_______________!
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 12023)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/SBC/sbcblk.F90	(revision 12024)
@@ -641,18 +641,20 @@
 #endif
       !
-      !!#LB: NO WHY???? IF( nn_ice == 0 ) THEN
       CALL iom_put( "rho_air"  ,   rhoa )                 ! output air density (kg/m^3) !#LB
-      CALL iom_put( "qlw_oce"  ,   zqlw )                 ! output downward longwave heat over the ocean
-      CALL iom_put( "qsb_oce"  ,   zqsb )                 ! output downward sensible heat over the ocean
-      CALL iom_put( "qla_oce"  ,   zqla )                 ! output downward latent   heat over the ocean
       CALL iom_put( "evap_oce" ,  zevap )                 ! evaporation
-      CALL iom_put( "qemp_oce" ,   qns-zqlw-zqsb-zqla )   ! output downward heat content of E-P over the ocean
-      CALL iom_put( "qns_oce"  ,   qns  )                 ! output downward non solar heat over the ocean
-      CALL iom_put( "qsr_oce"  ,   qsr  )                 ! output downward solar heat over the ocean
-      CALL iom_put( "qt_oce"   ,   qns+qsr )              ! output total downward heat over the ocean
-      tprecip(:,:) = sf(jp_prec)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output total precipitation [kg/m2/s]
-      sprecip(:,:) = sf(jp_snow)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output solid precipitation [kg/m2/s]
-      CALL iom_put( 'snowpre', sprecip )                 ! Snow
-      CALL iom_put( 'precip' , tprecip )                 ! Total precipitation
+      !
+      IF ( nn_ice == 0 ) THEN
+         CALL iom_put( "qlw_oce"  ,   zqlw )                 ! output downward longwave heat over the ocean
+         CALL iom_put( "qsb_oce"  ,   zqsb )                 ! output downward sensible heat over the ocean
+         CALL iom_put( "qla_oce"  ,   zqla )                 ! output downward latent   heat over the ocean
+         CALL iom_put( "qemp_oce" ,   qns-zqlw-zqsb-zqla )   ! output downward heat content of E-P over the ocean
+         CALL iom_put( "qns_oce"  ,   qns  )                 ! output downward non solar heat over the ocean
+         CALL iom_put( "qsr_oce"  ,   qsr  )                 ! output downward solar heat over the ocean
+         CALL iom_put( "qt_oce"   ,   qns+qsr )              ! output total downward heat over the ocean
+         tprecip(:,:) = sf(jp_prec)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output total precipitation [kg/m2/s]
+         sprecip(:,:) = sf(jp_snow)%fnow(:,:,1) * rn_pfac * tmask(:,:,1) ! output solid precipitation [kg/m2/s]
+         CALL iom_put( 'snowpre', sprecip )                 ! Snow
+         CALL iom_put( 'precip' , tprecip )                 ! Total precipitation
+      ENDIF
       IF( ln_skin_cs .OR. ln_skin_wl ) THEN
          CALL iom_put( "t_skin" ,  (zst - rt0) * tmask(:,:,1) )           ! T_skin in Celsius