Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/SHARED/namelist_ice_ref
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/SHARED/namelist_ice_ref	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/cfgs/SHARED/namelist_ice_ref	(revision 12031)
@@ -60,5 +60,5 @@
       rn_icebfr     =  15.            !        maximum bottom stress per unit volume [N/m3]
       rn_lfrelax    =   1.e-5         !        relaxation time scale to reach static friction [s-1]
-      rn_tensile    =   0.05          !        isotropic tensile strength [0-0.5??]
+      rn_tensile    =   0.2           !        isotropic tensile strength [0-0.5??]
 /
 !------------------------------------------------------------------------------
@@ -91,5 +91,5 @@
 !------------------------------------------------------------------------------
    ln_rhg_EVP       = .true.          !  EVP rheology
-      ln_aEVP       = .true.          !     adaptive rheology (Kimmritz et al. 2016 & 2017)
+      ln_aEVP       = .false.         !     adaptive rheology (Kimmritz et al. 2016 & 2017)
       rn_creepl     =   2.0e-9        !     creep limit [1/s]
       rn_ecc        =   2.0           !     eccentricity of the elliptical yield curve          
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/doc/latex/NEMO/subfiles/chap_SBC.tex	(revision 12031)
@@ -651,5 +651,69 @@
 \end{itemize}
 
+
+\subsubsection{Appropriate use of the  NCAR algorithm}
+
+NCAR bulk parameterizations (formerly know as CORE) is meant to be used with the CORE II atmospheric forcing (XXX). Hence the following namelist parameters must be set as follow:
+%
+\begin{verbatim}
+  ...
+  ln_NCAR    = .true.
+  ...
+  rn_zqt     = 10.     ! Air temperature & humidity reference height (m)
+  rn_zu      = 10.     ! Wind vector reference height (m)
+  ...
+  ln_skin_cs = .false. ! use the cool-skin parameterization
+  ln_skin_wl = .false. ! use the warm-layer parameterization
+  ...
+  ln_humi_sph = .true. ! humidity "sn_humi" is specific humidity  [kg/kg]
+\end{verbatim}
+
+
+\subsubsection{Appropriate use of the ECMWF algorithm}
+
+With a DFS* or any ECMWF-based type of atmospheric forcing, we strongly
+recommand to use the ECMWF bulk parameterizations with the cool-skin and
+warm-layer parameterizations turned on. In ECMWF reanalyzes, since air temperature and humidity are provided at the 2\,m height, and that the humidity is provided as a dew-point temperature, the namelist must be tuned as follows:
+%
+\begin{verbatim}
+  ...
+  ln_ECMWF   = .true.
+  ...     
+  rn_zqt     =  2.     ! Air temperature & humidity reference height (m)
+  rn_zu      = 10.     ! Wind vector reference height (m)
+  ...
+  ln_skin_cs = .true. ! use the cool-skin parameterization
+  ln_skin_wl = .true. ! use the warm-layer parameterization
+  ...
+  ln_humi_dpt = .true. !  humidity "sn_humi" is dew-point temperature [K]
+  ...
+\end{verbatim}
+
+Note: when \np{ln_ECMWF}{ln\_ECMWF} is selected, the selection
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitely
+triggers the use of the ECMWF cool-skin and warm-layer parameterizations,
+respectively (found in \textit{sbcblk\_skin\_ecmwf.F90}).
+
+
+\subsubsection{Appropriate use of the COARE 3.x algorithms}
+
+\begin{verbatim}
+  ...
+  ln_COARE3p6 = .true.
+  ...     
+  ln_skin_cs = .true. ! use the cool-skin parameterization
+  ln_skin_wl = .true. ! use the warm-layer parameterization
+  ...
+\end{verbatim}
+
+Note: when \np{ln_COARE3pX}{ln\_COARE3pX} is selected, the selection
+of \np{ln_skin_cs}{ln\_skin\_cs} and \np{ln_skin_wl}{ln\_skin\_wl} implicitely
+triggers the use of the COARE cool-skin and warm-layer parameterizations,
+respectively (found in \textit{sbcblk\_skin\_coare.F90}).
+
+
 ~
+
+
 
 % In a typical bulk algorithm, the BTCs under neutral stability conditions are
@@ -662,7 +726,6 @@
 
 
-
-
-\subsection{Cool-skin and warm-layer parameterizations}
+\subsection[Cool-skin and warm-layer parameterizations (\forcode{ln_skin_cs} \& \forcode{ln_skin_wl})]{Cool-skin and warm-layer parameterizations (\protect\np{ln_skin_cs}{ln\_skin\_cs} \& \np{ln_skin_wl}{ln\_skin\_wl})}
+\label{subsec:SBC_skin}
 
 As oposed to the NCAR bulk parameterization, more advanced bulk
@@ -713,7 +776,7 @@
     Variable description                 & Model variable & Units              & point \\
     \hline
-    i-component of the 10m air velocity  & utau           & $m.s^{-1}$         & T     \\
+    i-component of the 10m air velocity  & wndi           & $m.s^{-1}$         & T     \\
     \hline
-    j-component of the 10m air velocity  & vtau           & $m.s^{-1}$         & T     \\
+    j-component of the 10m air velocity  & wndj           & $m.s^{-1}$         & T     \\
     \hline
     10m air temperature                  & tair           & $K$               & T     \\
@@ -761,5 +824,5 @@
 
 %% =================================================================================================
-\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare.F90, sbcblk\_algo\_coare3p6.F90, sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare}, \mdl{sbcblk\_algo\_coare3p6}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
+\subsection[Ocean-Atmosphere Bulk formulae (\textit{sbcblk\_algo\_coare3p0.F90, sbcblk\_algo\_coare3p6.F90, sbcblk\_algo\_ecmwf.F90, sbcblk\_algo\_ncar.F90})]{Ocean-Atmosphere Bulk formulae (\mdl{sbcblk\_algo\_coare3p0}, \mdl{sbcblk\_algo\_coare3p6}, \mdl{sbcblk\_algo\_ecmwf}, \mdl{sbcblk\_algo\_ncar})}
 \label{subsec:SBC_blk_ocean}
 
@@ -778,6 +841,7 @@
 \item COARE 3.0 (\np[=.true.]{ln_COARE_3p0}{ln\_COARE\_3p0}): See \citet{fairall.bradley.ea_JC03} for more details
 \item COARE 3.6 (\np[=.true.]{ln_COARE_3p6}{ln\_COARE\_3p6}): See \citet{edson.jampana.ea_JPO13} for more details
-\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9221}{IFS (Cy31)} implementation and documentation.
-  Surface roughness lengths needed for the Obukhov length are computed following \citet{beljaars_QJRMS95}.
+\item ECMWF (\np[=.true.]{ln_ECMWF}{ln\_ECMWF}): Based on \href{https://www.ecmwf.int/node/9204}{IFS (Cy40r1)} implementation and documentation.
+  Surface roughness lengths needed for the Obukhov length are computed
+  following \citet{beljaars_QJRMS95}.
 \end{itemize}
 
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/BDY/bdydta.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/BDY/bdydta.F90	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/BDY/bdydta.F90	(revision 12031)
@@ -447,4 +447,5 @@
                ELSE                                                            ;   ipl = 1            ! xy or xyt
                ENDIF
+               bf(jp_bdya_i,jbdy)%clrootname = 'NOT USED'   ! reset to default value as this subdomain may not need to read this bdy
             ENDIF
          ENDIF
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/DYN/dynnxt.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/DYN/dynnxt.F90	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OCE/DYN/dynnxt.F90	(revision 12031)
@@ -175,4 +175,6 @@
       IF( neuler == 0 .AND. kt == nit000 ) THEN        !* Euler at first time-step: only swap
          DO jk = 1, jpkm1
+            ub(:,:,jk) = un(:,:,jk)                         ! ub <-- un
+            vb(:,:,jk) = vn(:,:,jk)
             un(:,:,jk) = ua(:,:,jk)                         ! un <-- ua
             vn(:,:,jk) = va(:,:,jk)
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OFF/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OFF/nemogcm.F90	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/OFF/nemogcm.F90	(revision 12031)
@@ -114,7 +114,9 @@
 #else
                                 CALL dta_dyn    ( istp )         ! Interpolation of the dynamical fields
+#endif
+                                CALL trc_stp    ( istp )         ! time-stepping
+#if ! defined key_sed_off
          IF( .NOT.ln_linssh )   CALL dta_dyn_swp( istp )         ! swap of sea  surface height and vertical scale factors
 #endif
-                                CALL trc_stp    ( istp )         ! time-stepping
                                 CALL stp_ctl    ( istp, indic )  ! Time loop: control and print
          istp = istp + 1
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/TOP/TRP/trcnxt.F90
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/TOP/TRP/trcnxt.F90	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/src/TOP/TRP/trcnxt.F90	(revision 12031)
@@ -139,5 +139,14 @@
       ENDIF
       !                                ! Leap-Frog + Asselin filter time stepping
-      IF( (neuler == 0 .AND. kt == nittrc000) .OR. ln_top_euler ) THEN    ! Euler time-stepping (only swap)
+      IF( (neuler == 0 .AND. kt == nittrc000) ) THEN
+         ! set up for leapfrog on second timestep
+         DO jn = 1, jptra
+            DO jk = 1, jpkm1
+               trb(:,:,jk,jn) = trn(:,:,jk,jn)  
+               trn(:,:,jk,jn) = tra(:,:,jk,jn)
+            END DO
+         END DO
+      ELSE IF( ln_top_euler ) THEN
+         ! always doing euler timestepping
          DO jn = 1, jptra
             DO jk = 1, jpkm1
@@ -146,4 +155,6 @@
             END DO
          END DO
+      ENDIF
+      IF( (neuler == 0 .AND. kt == nittrc000) .OR. ln_top_euler ) THEN    ! Euler time-stepping (only swap)
          IF (l_trdtrc .AND. .NOT. ln_linssh ) THEN   ! Zero Asselin filter contribution must be explicitly written out since for vvl
             !                                        ! Asselin filter is output by tra_nxt_vvl that is not called on this time step
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/plot_station_asf.py
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/plot_station_asf.py	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/EXPREF/plot_station_asf.py	(revision 12031)
@@ -28,4 +28,8 @@
 cy1     = '2016' ; # First year
 cy2     = '2018' ; # Last year
+
+jt0 = 0
+jt0 = 17519
+
 
 dir_figs='.'
@@ -100,5 +104,5 @@
 # Getting time array from the first file:
 id_in = Dataset(cf_in[0])
-vt = id_in.variables['time_counter'][:]
+vt = id_in.variables['time_counter'][jt0:]
 cunit_t = id_in.variables['time_counter'].units ; print(' "time_counter" is in "'+cunit_t+'"')
 id_in.close()
@@ -110,5 +114,5 @@
 vtime = nmp.zeros(nbr)
 
-vt = vt + 1036800. # BUG!??? don't get why false in epoch to date conversion, and yet ncview gets it right!
+vt = vt + 1036800. + 30.*60. # BUG!??? don't get why false in epoch to date conversion, and yet ncview gets it right!
 for jt in range(nbr): vtime[jt] = mdates.epoch2num(vt[jt])
 
@@ -134,5 +138,5 @@
             if ctest == 'skin':   id_in = Dataset(cf_in[ja])
             if ctest == 'noskin': id_in = Dataset(cf_in_ns[ja])
-            xF[:,ja] = id_in.variables[L_VNEM[jv]][:,1,1] # only the center point of the 3x3 spatial domain!
+            xF[:,ja] = id_in.variables[L_VNEM[jv]][jt0:,1,1] # only the center point of the 3x3 spatial domain!
             if ja == 0: cvar_lnm = id_in.variables[L_VNEM[jv]].long_name
             id_in.close()
@@ -207,10 +211,10 @@
     for ja in range(nb_algos-1):
         id_in = Dataset(cf_in[ja])
-        xF[:,ja]   = id_in.variables[L_VNEM[jv]][:,1,1] # only the center point of the 3x3 spatial domain!
+        xF[:,ja]   = id_in.variables[L_VNEM[jv]][jt0:,1,1] # only the center point of the 3x3 spatial domain!
         if ja == 0: cvar_lnm = id_in.variables[L_VNEM[jv]].long_name
         id_in.close()
         #
         id_in = Dataset(cf_in_ns[ja])
-        xFns[:,ja] = id_in.variables[L_VNEM[jv]][:,1,1] # only the center point of the 3x3 spatial domain!
+        xFns[:,ja] = id_in.variables[L_VNEM[jv]][jt0:,1,1] # only the center point of the 3x3 spatial domain!
         if ja == 0: cvar_lnm = id_in.variables[L_VNEM[jv]].long_name
         id_in.close()
Index: /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/README.md
===================================================================
--- /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/README.md	(revision 12030)
+++ /NEMO/branches/2019/dev_r11085_ASINTER-05_Brodeau_Advanced_Bulk/tests/STATION_ASF/README.md	(revision 12031)
@@ -6,5 +6,5 @@
 ## Objectives
 
-```STATION_ASF``` is a demonstration case that mimics an in-situ station (buoy, platform) dedicated to the estimation of surface air-sea fluxes by means of the more widely measured traditional meteorological surface parameters (sea and atmosphere).
+```STATION_ASF``` is a demonstration case that mimics an in-situ station (buoy, platform) dedicated to the estimation of surface air-sea fluxes by means of the measurement of traditional meteorological surface parameters.
 
 ```STATION_ASF``` is based on the merging of the "single column" and the "standalone surface module" configurations of NEMO. In short, it coulb defined as "SAS meets C1D". As such, the spatial domain of ```STATION_ASF``` is punctual (1D, well actually 3 x 3 as in C1D).